## org.apache.batik.script.rhino
Class RhinoInterpreter.Factory

    java.lang.Object
      org.mozilla.javascript.ContextFactory
          org.apache.batik.script.rhino.RhinoInterpreter.Factory

Enclosing class:
  RhinoInterpreter

    protected class RhinoInterpreter.Factory

extends org.mozilla.javascript.ContextFactory

Factory for Context objects.

Nested Class Summary

Nested classes/interfaces inherited from class org.mozilla.javascript.ContextFactory
`org.mozilla.javascript.ContextFactory.Listener`

Constructor Summary
`protected` `RhinoInterpreter.Factory()`

Method Summary
`protected org.mozilla.javascript.Context` `makeContext()` Creates a Context object for use with the interpreter.

Methods inherited from class org.mozilla.javascript.ContextFactory
`addListener, call, checkNotSealed, createClassLoader, doTopCall, enter, enter, exit, getApplicationClassLoader, getGlobal, hasExplicitGlobal, hasFeature, initApplicationClassLoader, initGlobal, isSealed, observeInstructionCount, onContextCreated, onContextReleased, removeListener, seal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RhinoInterpreter.Factory

    protected RhinoInterpreter.Factory()

Method Detail

### makeContext

    protected org.mozilla.javascript.Context makeContext()

  Creates a Context object for use with the interpreter.

  Overrides:
    `makeContext` in class `org.mozilla.javascript.ContextFactory`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.